
CC=@CC@
CFLAGS=@CFLAGS@ @CPPFLAGS@ @DEFS@
LDFLAGS=@LDFLAGS@ @LIBS@
PREFIX=@prefix@

all: pipemeter

pipemeter: pipemeter.c
	$(CC) $(CFLAGS) pipemeter.c -o pipemeter $(LDFLAGS)

debug: pipemeter.c
	$(CC) $(CFLAGS) -DDEBUG -g pipemeter.c -o pipemeter $(LDFLAGS)

clean:
	rm -f pipemeter *.o *~

distclean: clean
	rm -f configure
	rm -f config.status
	rm -f config.log
	rm -f config.h
	rm -f Makefile
	

install: pipemeter pipemeter.1
	install -Dp -t $(DESTDIR)$(PREFIX)/bin pipemeter
	install -Dp -t $(DESTDIR)$(PREFIX)/man/man1 pipemeter.1

dist: pipemeter
	sh pkgpipemeter.sh
